Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Interface IAdjustment

public interface IAdjustment

Interface fuer AdjustmentEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer AdjustmentEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addAdjustmentListener(AdjustmentListener listener)` Fuegt dem Control den uebergebenen Listener als AdjustmentListener hinzu.
`String` | `getActionClassForAdjustment()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein AdjustmentEvent ausgeloest wurde.
`void` | `removeAdjustmentListener(AdjustmentListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForAdjustment(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein AdjustmentEvent ausgeloest wurde.

Method Detail

### addAdjustmentListener

    public void addAdjustmentListener(AdjustmentListener listener)

  Fuegt dem Control den uebergebenen Listener als AdjustmentListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende AdjustmentListener.

### removeAdjustmentListener

    public void removeAdjustmentListener(AdjustmentListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende AdjustmentListener.

### getActionClassForAdjustment

    public String getActionClassForAdjustment()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein AdjustmentEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer AdjustmentEvents.

### setActionClassForAdjustment

    public void setActionClassForAdjustment(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein AdjustmentEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer AdjustmentEvents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD